Page MenuHomeFreeBSD

Move dot.profile dot.cshrc to bin/sh/ and bin/csh/
ClosedPublic

Authored by brd on Aug 17 2018, 2:46 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brd created this revision.Aug 17 2018, 2:46 PM

Can you please break the change to share/mk/bsd.confs.mk out into a separate review, though it is required by the moving of the profile files, it is actually not a part of that change directly. I would also like to ask that you tag bdrewery in on the review of the .mk change. I do not see how file owner/group/mode are set in the new Makefile.

bin/csh/Makefile
11 ↗(On Diff #46839)

Hum, there is a conf group called ETC? Can I ask what is in it? This seems to be where maybe master.passwd belongs? As well as anything else that was moved to libc.

15 ↗(On Diff #46839)

Something makes me leary of these variable names, but I can not come up with what it is or what they would be called to make it better

157 ↗(On Diff #46839)

rm -f ${DESTDIR}/${ROOTNAME}

bin/sh/Makefile
8 ↗(On Diff #46839)

Well I like these names better than what you did for csh, and why the difference between sh and csh in this respect?

67 ↗(On Diff #46839)

rm -f ${DESTDIR}/${CONFSNAME_dot.profile}

70 ↗(On Diff #46839)

There is a variable with .profile in it, please use it all places.

etc/Makefile
181 ↗(On Diff #46839)

I do not seem to be able to find BINOWN BINGRP or mode 644 in the new specifications, how is that handled?

will added a comment.Aug 18 2018, 9:48 PM

@rgrimes A lot of your questions would be resolved by reviewing how CONFS works in share/mk/bsd.confs.mk and its dependencies.

bin/csh/Makefile
15 ↗(On Diff #46839)

Perhaps CSHRC rather than ROOT?

brd added inline comments.Aug 18 2018, 11:38 PM
bin/csh/Makefile
11 ↗(On Diff #46839)

This creates it.

15 ↗(On Diff #46839)

Sure, will do.

157 ↗(On Diff #46839)

Seems like it would cause potential problems down the road.

bin/sh/Makefile
8 ↗(On Diff #46839)

Sure, I can switch to this style there.

70 ↗(On Diff #46839)

Good point. I will do so.

etc/Makefile
181 ↗(On Diff #46839)

The defaults are correct for CONFS files and thus do not need to be overridden.

trasz added a subscriber: trasz.Aug 23 2018, 9:38 AM

What about /usr/share/skel/?

brd updated this revision to Diff 47416.Aug 28 2018, 11:00 PM

Update after breaking out bsd.confs.mk change and fix for /root/.login

will accepted this revision.Aug 29 2018, 1:27 AM
This revision is now accepted and ready to land.Aug 29 2018, 1:27 AM
This revision was automatically updated to reflect the committed changes.